libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From quent...@apache.org
Subject [1/2] libcloud git commit: Fix suppported versions in setup.py
Date Fri, 31 Aug 2018 01:12:14 GMT
Repository: libcloud
Updated Branches:
  refs/heads/trunk ff3dd5c33 -> a65768bef


Fix suppported versions in setup.py


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/f4fcf56b
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/f4fcf56b
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/f4fcf56b

Branch: refs/heads/trunk
Commit: f4fcf56b63a145d8e26d0275898e915e7e54b794
Parents: ff3dd5c
Author: Quentin Pradet <quentinp@apache.org>
Authored: Fri Aug 31 05:08:04 2018 +0400
Committer: Quentin Pradet <quentinp@apache.org>
Committed: Fri Aug 31 05:11:50 2018 +0400

----------------------------------------------------------------------
 setup.py | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/f4fcf56b/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index 9b5728d..d05166b 100644
--- a/setup.py
+++ b/setup.py
@@ -37,7 +37,6 @@ libcloud.utils.SHOW_DEPRECATION_WARNING = False
 PY2 = sys.version_info[0] == 2
 PY3 = sys.version_info[0] == 3
 PY3_pre_34 = PY3 and sys.version_info < (3, 4)
-PY2_pre_26 = PY2 and sys.version_info < (2, 6)
 PY2_pre_27 = PY2 and sys.version_info < (2, 7)
 PY2_pre_279 = PY2 and sys.version_info < (2, 7, 9)
 
@@ -53,7 +52,7 @@ DOC_TEST_MODULES = ['libcloud.compute.drivers.dummy',
                     'libcloud.container.drivers.dummy',
                     'libcloud.backup.drivers.dummy']
 
-SUPPORTED_VERSIONS = ['2.6', '2.7', 'PyPy', '3.x']
+SUPPORTED_VERSIONS = ['2.7', 'PyPy', '3.3+']
 
 TEST_REQUIREMENTS = [
     'mock',
@@ -137,6 +136,7 @@ setup(
     author='Apache Software Foundation',
     author_email='dev@libcloud.apache.org',
     install_requires=install_requires,
+    python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, <4",
     packages=get_packages('libcloud'),
     package_dir={
         'libcloud': 'libcloud',
@@ -159,10 +159,8 @@ setup(
         'Operating System :: OS Independent',
         'Programming Language :: Python',
         'Topic :: Software Development :: Libraries :: Python Modules',
-        'Programming Language :: Python :: 2.6',
         'Programming Language :: Python :: 2.7',
         'Programming Language :: Python :: 3',
-        'Programming Language :: Python :: 3.3',
         'Programming Language :: Python :: 3.4',
         'Programming Language :: Python :: 3.5',
         'Programming Language :: Python :: 3.6',


Mime
View raw message